//    WeIRCd administration tool
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <stdlib.h>
#include <time.h>

extern int localinstallationfound;

#ifdef WIN
#include <windows.h>
#include <tchar.h> //needed for process name string
#include <psapi.h> //needed for accessing process information
#include <stdio.h> //needed for reading out of the pipe
#include <tlhelp32.h> //needed for getting thread of a process
#endif

#ifndef WIN
#include <sys/utsname.h>
#endif

#ifndef WIN
#include <gtk/gtk.h>
#include <glib.h>
#include <glib/gthread.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#define PIPEHANDLE int
#endif

#ifdef WIN
#include <gtk/gtk.h>
#include <glib.h>
#include <glib/gthread.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#define PIPEHANDLE HANDLE
#endif

#ifndef alloca
#define alloca(x) __builtin_alloca(x)
#endif

#include "strings.h"
#include "urls.h"
#include "gui.h"
#include "gui_controlnotebook_settings.h"
#include "gui_controlnotebook.h"
#include "gui_mainwindow.h"
#include "gui_splash.h"
#include "gui_controlnotebook_settings_transfer.h"
#include "localinstall.h"
#include "linkedlists.h"
#include "settingsvars.h"
#include "diskconfig.h"
#include "generateconf.h"
#include "parseconf.h"