//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef WEIRD_STRINGS_H
#define WEIRD_STRINGS_H

#include <string.h>

#ifndef WIN
void strlwr(char *s);
#endif
void strupper(char *s);
int containsnumbers(const char* s);
int containsmixedcaseletters(const char* s);
int issimplenumber(const char* s);
int stringisinstring(const char* longstring,const char* shortstring);
int charpos(const char* stringle, char letter);
int charposfromright(const char* stringle, char letter);
void cut(char* vstring, int count);
int strcasecmplen(const char* str1, const char* str2, unsigned int len);
int strstw(const char* bigstring,const char* startstring);
int strendswith(const char* bigstring, const char* endstring);
int onlyspaces(const char* vstring);
void trimright(char* vstring);
void trimleft(char* vstring);
void cutonfirstspace(char* vstring);
void fixlinebreaks(char* buf, int len);
void addtobuf(char* buf, char byte, unsigned int maxlen);
void stradd(char* dest, const char* src, int len);
void strcopy(char* dest, const char* src, int len);

int isipv4ip(const char* str);
int isipv6ip(const char* str);

#endif
